
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>uclinux-2008R1-RC8(bf561)到VDSP5的移植(57) / iVAN</title>

    <meta name="description" content="uclinux-2008R1-RC8(bf561)到VDSP5的移植(57) clinux-2008R1-RC8(bf561)到VDSP5的移植(57):_NSIG_WORDS_is_unsupported_size 在include/linux/signal.h中使用了一个函数_NSIG_WORDS_is_unsupported_size,其使用过程大致如下所示: static inline int sigisemptyset(sigset_t *set) { extern void _NSIG_WORDS_is_unsupported_size(void); swit">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">uclinux-2008R1-RC8(bf561)到VDSP5的移植(57)</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>clinux-2008R1-RC8(bf561)到VDSP5的移植(57):_NSIG_WORDS_is_unsupported_size</p>
<p>在include/linux/signal.h中使用了一个函数_NSIG_WORDS_is_unsupported_size，其使用过程大致如下所示：</p>
<p><code>static inline int sigisemptyset(sigset_t *set)<br />
{<br />
　　　　 extern void _NSIG_WORDS_is_unsupported_size(void);<br />
　　　　 switch (_NSIG_WORDS) {<br />
　　　　 case 4:<br />
　　　　　　　　 return (set-&gt;sig[3] | set-&gt;sig[2] |<br />
　　　　　　　　　　　　　 set-&gt;sig[1] | set-&gt;sig[0]) == 0;<br />
　　　　 case 2:<br />
　　　　　　　　 return (set-&gt;sig[1] | set-&gt;sig[0]) == 0;<br />
　　　　 case 1:<br />
　　　　　　　　 return set-&gt;sig[0] == 0;<br />
　　　　 default:<br />
　　　　　　　　 _NSIG_WORDS_is_unsupported_size();<br />
　　　　　　　　 return 0;<br />
　　　　 }<br />
}</code></p>
<p>在这里，_NSIG_WORDS的定义为：</p>
<p><code>#define _NSIG　 64<br />
#define _NSIG_BPW 32<br />
#define _NSIG_WORDS　 (_NSIG / _NSIG_BPW)</code></p>
<p>也就是编译时常数，这样在优化时并不会并产生代码，也就没有链接错误。但是在VDSP下调试编译时会产生_NSIG_WORDS_is_unsupported_size符号未找到的链接错误。</p>
<p>为此，直接将之定义为：</p>
<p>inline void _NSIG_WORDS_is_unsupported_size() {panic("_NSIG_WORDS_is_unsupported_size()");}</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-11 06:50:39</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/return/" title="return">return</a>, <a href="https://www.iamivan.net/tag/%e7%bc%96%e8%af%91/" title="编译">编译</a>, <a href="https://www.iamivan.net/tag/set/" title="set">set</a>, <a href="https://www.iamivan.net/tag/define/" title="define">define</a>, <a href="https://www.iamivan.net/tag/%e7%a7%bb%e6%a4%8d/" title="移植">移植</a>, <a href="https://www.iamivan.net/tag/clinux/" title="clinux">clinux</a>, <a href="https://www.iamivan.net/tag/case/" title="case">case</a>, <a href="https://www.iamivan.net/tag/urandom%e4%bb%a3%e7%a0%81clinux/" title="urandom代码clinux">urandom代码clinux</a>, <a href="https://www.iamivan.net/tag/unsupported/" title="Unsupported">Unsupported</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>uclinux-2008R1-RC8(bf561)到VDSP5的移植(57)的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z4w6Prp.html" rel="bookmark">uclinux-2008R1-RC8&lpar;bf561&rpar;到VDSP5的移植&lpar;62&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				uclinux-2008R1-RC8(bf561)到VDSP5的移植(62):Failed to open '#include' file 'bf561.h' 在include/asm/mach/blackfin.h文件中,有这样的语句: #include &quot;bf561.h&quot; #include &quot;mem_map.h&quot; #include &quot;defBF561.h&quot; #include &quot;anomaly.h&quot; 当在asm文件中包含这个			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bal4Nwz.html" rel="bookmark">uclinux-2008R1-RC8&lpar;bf561&rpar;到VDSP5的移植&lpar;58&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				uclinux-2008R1-RC8(bf561)到VDSP5的移植(58): unable to open an initial console blog. 碰到一个郁闷的问题,提示&quot; unable to open an initial console&quot;后再没有下文了. 搜了下这个错误出现的位置,在init_post函数中: if (sys_open((const char __user *) &quot;/dev/console&quot;, O_RDWR, 0) &lt; 0)			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2y6d4z.html" rel="bookmark">uclinux-2008R1-RC8&lpar;bf561&rpar;到VDSP5的移植&lpar;43&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				uclinux-2008R1-RC8(bf561)到VDSP5的移植(43):__builtin_return_address的问题 __builtin_return_address (LEVEL):这是GCC的内建函数,用于返回当前函数或其调用者的返回地址,参数LEVEL 指定在栈上搜索框架的个数,0 表示当前函数的返回地址,1 表示当前函数的调用者的返回地址,依此类推.在VDSP中,通过FP的循环取值可以完成相似的功能(参见以前的文章&lt;使用FP取得函数的调用堆栈&gt;).查了下内核对此函数的使			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bo6jeDz.html" rel="bookmark">uclinux-2008R1-RC8&lpar;bf561&rpar;到VDSP5的移植&lpar;24&rpar;：CONFIG&lowbar;NR&lowbar;CPUS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				uclinux内核将bf561的每一个核都视为一个独立的CPU,因此在config.h中补上定义: // 多核支持 #define CONFIG_SMP 1 #define CONFIG_NR_CPUS 2			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bK7dEnb.html" rel="bookmark">uclinux-2008R1-RC8&lpar;bf561&rpar;到VDSP5的移植（1）：前言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1 目标 将uclinux-2008R1-RC8(bf561)移植到VDSP5上. 让uclinux支持双核. 2 原则 1.首先注释掉所有的声明和实现,但是保留#include和#define这样的语句. 2.逐步添加所需要的功能. 3.smp相关的部分参考linux-2.6.19的内核. 4.使用VDSP库.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk2JvoM.html" rel="bookmark">uclinux-2008R1-RC8&lpar;bf561&rpar;到VDSP5的移植（3）：Head&period;s</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				uclinux系统的入口点为head.s,因此先将此文件添加到corea.dlb,先改下语法错误. 1 时钟配置 因为没有使用引导程序,因此在内核启动时需要重新配置CPU的运行速度.在config.h中添加以下定义: // 时钟配置 #define CONFIG_CLKIN_HZ 27000000 // 晶振频率 #define CONFIG_VCO_MULT 22 // 内核倍频 #define CONFIG_CCLK_DIV 1 // 内核分频 #define CONFIG_SCLK_DIV			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MAalnQM.html" rel="bookmark">uclinux-2008R1-RC8&lpar;bf561&rpar;到VDSP5的移植&lpar;37&rpar;：&lowbar;cplb&lowbar;mgr</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在uclinux内核中,提供了一个函数:_cplb_mgr,此函数位于 arch/blackfin/kernel/cpu-nompu/cplbmgr.s,它的作用是当bf561发生cplb miss exception的时候替换掉最后的cache范围.在vdsp5中同样提供了一个_cplb_mgr的函数,而且VDSP在默认情况下会使用自己的库中的函数,从而造成内核错误. 因此,我们需要在config.h中增加一个定义: #define _cplb_mgr _uclinux_cplb_mgr #d			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY24Dlp.html" rel="bookmark">uclinux-2008R1-RC8&lpar;bf561&rpar;到VDSP5的移植（2）：代码注释</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				因为uclinux内核是个庞然大物,为避免一开始就遭受打击,所以就决定先将所有的代码注释掉.但是与此同时要保留各个文件之间的依赖关系,因此必须保留#include这样的语句.再考虑到uclinux是通过宏定义来控制各种功能实现的,且宏定义几乎不会对移植造成任何困扰,所以也保留了#if #define这样的语句. 以下就是自己写的一小段代码,用于实现上述功能,在VS2005下可以使用. // hprocess.cpp : 定义控制台应用程序的入口点.//#include &quot;stdafx.h&quo			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8j6ePb.html" rel="bookmark">uclinux-2008R1-RC8&lpar;bf561&rpar;到VDSP5的移植&lpar;59&rpar;&colon;Milestone：内核成功启动</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				终于成功编译了第一个版本,庆祝一下: Linux version 2.6.22.18-ADI-2008R1-svn (lights@hb165.com) (Visual DSP++ 5.0) #5 Tue Apr 8 16:09:27 CST 2008Hardware Trace Off and DisabledWarning: limiting memory to 60MB due to hardware anomaly 05000263Reset caused by Software res			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9Xgob.html" rel="bookmark" class="title">SQL Server 2000 XML之七种兵器</a>
					<div>
						server|xml XML,已成为近来最热门的Web技术,它是SQL Server 2000中的重要部分.本文将综合七条SQL Server 2000中最重要的XML综合特性组成XML之七种兵器.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1RlQ9p.html" rel="bookmark" class="title">无线网卡简介及无线网卡的选购</a>
					<div>
						无线网卡是终端无线网络的设备,是无线局域网的无线覆盖下通过无线连接网络进行上网使用的无线终端设备.具体来说无线网卡就是使你的电脑可以利用无线来上网的一个装置,但是有了无线网卡也还需要一个可以连接的无线 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7y7Zb.html" rel="bookmark" class="title">使用Sharpen java to C&num;把java项目转化为C&num;项目</a>
					<div>
						前提: 1,下载 Eclipse或 MyEclipse .其实两个都一样.(我用的版本是 Myeclpse 6.5) 2,安装 Eclipse SVN插件. 好了,我们开始了. 1,先从https:/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bElLeqz.html" rel="bookmark" class="title">Win8启动后自动进入传统桌面设置</a>
					<div>
						对于预览版的Windows 8系统,每天启动电脑后的第一件事就是从Metro开始屏幕上点击桌面回到传统界面,久而久之,就感觉十分麻烦.虽然Metro开始屏幕给用户提供了一种 全新的体验,但是对于大多数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk26XyM.html" rel="bookmark" class="title">情绪版（Mood board）操作流程的新思考</a>
					<div>
						情绪版这种方法在国外的应用已经有一定的历史了,它诞生于上世纪的非信息时代,通常参与者被要求从日常的报刊杂志中挑选出符合&quot;某种心情意境或关键词&quot;的图片,把图片减下来,然后粘贴在一起. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRrxBp.html" rel="bookmark" class="title">Photoshop给池塘边的情侣婚纱照加上唯美的淡黄色</a>
					<div>
						图片比较梦幻,不过颜色稍微暗了一点.处理的时候可以给图片增加稍微艳丽的颜色,并把图片稍微调亮,这样梦幻的效果就更明显. 原图 &lt;点小图查看大图&gt; 最终效果 1.打开素材图片,创建可选颜色调 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGXQwb.html" rel="bookmark" class="title">H110主板怎么样？</a>
					<div>
						  H110主板好用吗?在Intel最新Skylake六代CPU对应搭配的新主板中,H110是次于Z170.B150之后的入门级新主板.那么,H110主板好用吗?是否支持DDR4,与主流级B150主板 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGJRYop.html" rel="bookmark" class="title">360云盘怎么设置密码</a>
					<div>
						  1.锁定360云盘主要是当自己离开操作时,可以锁定360云盘,以防信息泄露,具体操作是,首先登陆360云盘,然后点击功能大全. 2.进入功能大全界面,点击锁定云盘,或者使用快捷组合键:ALT+CT ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwLAVkb.html" rel="bookmark" class="title">电脑分辨率调不了怎么办？</a>
					<div>
						  电脑分辨率调不了怎么办:? 调整屏幕分辨率:鼠标右键点击桌面空白处--&gt;选择&quot;属性&quot;--&gt;切换到&quot;设置&quot;选项卡中--&gt;在&quot;屏幕分 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b24B1rp.html" rel="bookmark" class="title">让电脑只在插入U盘后才能启动的方法</a>
					<div>
						  一.首先确定U盘的盘符,可以将自己的U盘插上,然后就可以看到盘符了,这一步是很重要的; 二.在U盘里创建一个文件,文件名和扩展名均任意输入,比如创建的文件为123.lj; 三..在本地磁盘上创建一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze7lO0M.html" rel="bookmark" class="title">U盘病毒完全清理技巧</a>
					<div>
						  U盘大家都会用了,但用的过程中总会遇到这样或那样的病毒,现在就来说一下这方面的绝招. 第一招:打开显示隐藏文件功能,让病毒无所遁形: 打开&quot;我的电脑&quot;在菜单&quot;工具&q ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjmA98z.html" rel="bookmark" class="title">一个显示效果非常不错的PHP错误、异常处理类&lowbar;php实例</a>
					<div>
						一.效果图: 二.实现代码 复制代码 代码如下: &lt;?php // 自定义异常函数set_exception_handler('handle_exception'); // 自定义错误函数set ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXwNn4M.html" rel="bookmark" class="title">CentOS yum 源的配置与使用</a>
					<div>
						CentOS yum 源的配置与使用 一.yum 简介 yum,是Yellow dog Updater, Modified 的简称,是杜克大学为了提高RPM 软件包安装性而开发的一种软件包管理器.起初 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YX4AM.html" rel="bookmark" class="title">php网mysql数据库插入数据乱码问题？</a>
					<div>
						问题描述 php网mysql数据库插入数据乱码问题? 我php页面是设置为 &lt;meta http-equiv=&quot;Content-Type&quot; content=&quot;tex ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqRgGGp.html" rel="bookmark" class="title">看我如何借势营销把微信粉丝做到上万</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 对于运营微信公众号的人来说,每天怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmJANb.html" rel="bookmark" class="title">NetBeans6&period;7下编译Qt程序的问题</a>
					<div>
						问题描述 Sun公司刚发布的NetBeans6.7支持Qt应用程序开发,下载后尝鲜时却无法编译成功,错误提示为:nbproject/qt-Debug.mk:83:***multipletargetpa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWlqPGp.html" rel="bookmark" class="title">亚马逊最高级别华人科学家任小枫加盟阿里</a>
					<div>
						阿里巴巴在美国西雅图挖来了亚马逊级别最高的华人科学家任小枫,进入该公司人工智能研发核心团队.随着人工智能逐渐成为BAT(百度.阿里巴巴.腾讯)未来的核心战略,中国科技公司在西雅图对亚马逊和微软的&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mvm3Xrb.html" rel="bookmark" class="title">安卓 开源-请问网上开源的安卓项目，像SlidingMenu，怎么用其中一种功能？</a>
					<div>
						问题描述 请问网上开源的安卓项目,像SlidingMenu,怎么用其中一种功能? 请问网上开源的安卓项目,像SlidingMenu,怎么用其中一种功能?全部导入太大了,还有如果我还想用其他开源的功能怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjLDqVp.html" rel="bookmark" class="title">Python&plus;selenium启动浏览器Firefox&bsol;Chrome&bsol;IE</a>
					<div>
						在写一功能的时候,本来准备使用webbroswer模块实现,不过发现其只能实现简单的打开,而且打开tab页面发现并不能实现.所以决能通过selenium模块实现,这里列下几个selenium操作不同浏 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pL7wjaM.html" rel="bookmark" class="title">《策略驱动型数据中心&mdash;&mdash;ACI技术详解》&mdash;&mdash;第1章 数据中心架构考虑因素1&period;1 应用和存储</a>
					<div>
						第1章 数据中心架构考虑因素 本章介绍数据中心架构所需考虑的因素.其中将介绍设计时的考虑因素和设计过程中使用的方法,以便对于数据中心矩阵项目,使架构师能高效地选择端到端的网络设计,为其演进提供所需的增 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4eyZ8b.html" rel="bookmark" class="title">《编译与反编译技术实战 》一3&period;2　词法分析器的手工实现</a>
					<div>
						3.2 词法分析器的手工实现 手工构造词法分析器首先需要将描述单词符号的正规文法或者正规式转化为状态转换图,然后再依据状态转换图进行词法分析器的构造.状态转换图是一个有限方向图,结点代表状态,用圆圈表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M60eOAz.html" rel="bookmark" class="title">深入接触数据中心的高架地板</a>
					<div>
						关于数据中心选择和使用的高架地板有许多事情需要思考,你决定使用高架地板时,大多数时候是你自己布局和维护,下面的步骤有助于帮助你确定投资. 高架地板布局 如果你不能访问高架地板下的电气.机械和其它基础设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7gq2z.html" rel="bookmark" class="title">华为七款WCDMA手机率先通过入网测试</a>
					<div>
						近日,工信部发布了国内首批WCDMA数字移动电话机入网许可证,华为共有7款产品(U5700.U9100.U7300.U3300.U3310.U1300.U1310)获得了入网证,成为了首批入网产品最多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDnK3BM.html" rel="bookmark" class="title">Android如何从外部跳进App</a>
					<div>
						转自:http://blog.csdn.net/reboot123/article/details/46128331 这个问题解决了两天时间,因为网上没有完整的解决方案,解决后分享一下给大家! 解决这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmBj5qz.html" rel="bookmark" class="title">jar解压缩修改后不能使用</a>
					<div>
						问题描述 是游戏的模拟器文件包裹一个bat启动一个jar压缩还有若干小文件夹我想修改jar内的文件.我试着解压缩了并且进行了反编译在改回class格式进行压缩.但是bat运行之后提示运行不了大概的意思 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRNkrdM.html" rel="bookmark" class="title">一年一度的&OpenCurlyDoubleQuote;3&bull;15&rdquo;消费者权益保护日即将到来</a>
					<div>
						据统计,由于这些社交平台在2010年发展迅速,媒体和舆论的力量得以展现,很多公司纷纷开通了自己的微博,相比投诉而言,网民更愿意选择和平台上的事件负责人直接沟通解决问题,从而2011年3月初投诉网站的投 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlJr0p.html" rel="bookmark" class="title">Js 控制表单域代码&lowbar;javascript技巧</a>
					<div>
						123[Ctrl+A 全选 注:如需引入外部Js需刷新才能执行] js验证为正整数 复制代码 代码如下: &lt;script&gt; var re = /^[1-9]d*$/; //智能验证单个字符 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3Z66kz.html" rel="bookmark" class="title">安卓课程表界面布局实现</a>
					<div>
						问题描述 安卓课程表界面布局实现 android作业做一个课程表 我想问一下类似超级课程表的界面要怎么实现啊? 解决方案 recyclerView应该很好实现 解决方案二: 课表界面设计:http:/ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWYg8M.html" rel="bookmark" class="title">android把button焦点绑定固定fragment</a>
					<div>
						问题描述 android把button焦点绑定固定fragment 页面底部有个菜单栏,点击button切换fragment之后这个button失去焦点,另一个fragment绑定的button获得焦 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bByZ2Nz.html" rel="bookmark" class="title">IBM Rational Focal Point配置集成步骤</a>
					<div>
						本文介绍各种可用于在 IBM® Rational® Focal Point 和 Rational 协作式生命周期管理 (CLM) 解决方案的存储库中的各个工件之间创建链接和交换数据的技术,包括集成到  ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.024 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
